## golang-github-einride-can-go 0.16.1

=== Makefile ===
# Code generated by go.einride.tech/sage. DO NOT EDIT.
# To learn more, see .sage/main.go and https://github.com/einride/sage.

.DEFAULT_GOAL := default

cwd := $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
sagefile := $(abspath $(cwd)/.sage/bin/sagefile)

# Setup Go.
go := $(shell command -v go 2>/dev/null)
export GOWORK ?= off
ifndef go
SAGE_GO_VERSION ?= 1.23.4
export GOROOT := $(abspath $(cwd)/.sage/tools/go/$(SAGE_GO_VERSION)/go)
export PATH := $(PATH):$(GOROOT)/bin
go := $(GOROOT)/bin/go
os := $(shell uname | tr '[:upper:]' '[:lower:]')
arch := $(shell uname -m)
ifeq ($(arch),x86_64)
arch := amd64
endif
$(go):
	$(info installing Go $(SAGE_GO_VERSION)...)
	@mkdir -p $(dir $(GOROOT))
	@curl -sSL https://go.dev/dl/go$(SAGE_GO_VERSION).$(os)-$(arch).tar.gz | tar xz -C $(dir $(GOROOT))
	@touch $(GOROOT)/go.mod
	@chmod +x $(go)
endif

.PHONY: $(sagefile)
$(sagefile): $(go)
	@cd .sage && $(go) mod tidy && $(go) run .

.PHONY: sage
sage:
	@$(MAKE) $(sagefile)

.PHONY: update-sage
update-sage: $(go)
	@cd .sage && $(go) get go.einride.tech/sage@latest && $(go) mod tidy && $(go) run .

.PHONY: clean-sage
clean-sage:
	@git clean -fdx .sage/tools .sage/bin .sage/build

.PHONY: build-integration-tests
build-integration-tests: $(sagefile)
	@$(sagefile) BuildIntegrationTests

.PHONY: convco-check
convco-check: $(sagefile)
	@$(sagefile) ConvcoCheck

.PHONY: default
default: $(sagefile)
	@$(sagefile) Default

.PHONY: format-markdown
format-markdown: $(sagefile)
	@$(sagefile) FormatMarkdown

.PHONY: format-yaml
format-yaml: $(sagefile)
	@$(sagefile) FormatYaml

.PHONY: generate-testdata
generate-testdata: $(sagefile)
	@$(sagefile) GenerateTestdata

.PHONY: git-verify-no-diff
git-verify-no-diff: $(sagefile)
	@$(sagefile) GitVerifyNoDiff

.PHONY: go-generate
go-generate: $(sagefile)
	@$(sagefile) GoGenerate

.PHONY: go-licenses
go-licenses: $(sagefile)
	@$(sagefile) GoLicenses

.PHONY: go-lint
go-lint: $(sagefile)
	@$(sagefile) GoLint

.PHONY: go-mod-tidy
go-mod-tidy: $(sagefile)
	@$(sagefile) GoModTidy

.PHONY: go-test
go-test: $(sagefile)
	@$(sagefile) GoTest

.PHONY: mockgen
mockgen: $(sagefile)
	@$(sagefile) Mockgen

.PHONY: stringer
stringer: $(sagefile)
	@$(sagefile) Stringer

=== debian/changelog ===
golang-github-einride-can-go (0.16.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Dec 2025 11:53:06 +0100

=== debian/control ===
Source: golang-github-einride-can-go
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               dh-sequence-golang,
               golang-any,
	       golang-github-fatih-color-dev,
	       golang-github-golang-mock-dev,
	       golang-golang-x-net-dev,
	       golang-golang-x-sync-dev,
	       golang-golang-x-sys-dev,
	       golang-github-mdlayher-netlink-dev,
	       golang-github-gotestyourself-gotest.tools-dev,
	       golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-einride-can-go
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-einride-can-go.git
Homepage: https://github.com/einride/can-go
XS-Go-Import-Path: go.einride.tech/can

Package: golang-github-einride-can-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Controller Area Network SDK for Go (library)
 This package contains a CAN toolkit for Go programmers. can-go makes use of
 the Linux SocketCAN abstraction for CAN communication.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG=go.einride.tech/can

%:
	dh $@ --builddirectory=_build --buildsystem=golang

#execute_after_dh_auto_configure:
#	cp -av debian/vendor/ _build/src

=== debian/watch ===
Version: 5
Template: Github
Owner: einride
Project: can-go
